librevenge::RVNGFileStreamPrivate Class Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | List of all members
librevenge::RVNGFileStreamPrivate Class Reference

## Public Member Functions
| RVNGFileStreamPrivate ()
| ~RVNGFileStreamPrivate ()

## Public Attributes
FILE * | file
unsigned long | streamSize
unsigned char * | readBuffer
unsigned long | readBufferLength
unsigned long | readBufferPos
RVNGStreamType | streamType
std::vector< std::string > | streamNameList

## Private Member Functions
| RVNGFileStreamPrivate (const RVNGFileStreamPrivate &)
RVNGFileStreamPrivate & | operator= (const RVNGFileStreamPrivate &)

## Constructor & Destructor Documentation

## ◆ RVNGFileStreamPrivate() [1/2]

librevenge::RVNGFileStreamPrivate::RVNGFileStreamPrivate | ( |  | ) |

## ◆ ~RVNGFileStreamPrivate()

librevenge::RVNGFileStreamPrivate::~RVNGFileStreamPrivate | ( |  | ) |

## ◆ RVNGFileStreamPrivate() [2/2]

librevenge::RVNGFileStreamPrivate::RVNGFileStreamPrivate | ( | const RVNGFileStreamPrivate & |  | ) |
| private

## Member Function Documentation

## ◆ operator=()

RVNGFileStreamPrivate& librevenge::RVNGFileStreamPrivate::operator= | ( | const RVNGFileStreamPrivate & |  | ) |
| private

## Member Data Documentation

## ◆ file

FILE* librevenge::RVNGFileStreamPrivate::file

Referenced by librevenge::RVNGFileStream::existsSubStream(), librevenge::RVNGFileStream::getSubStreamByName(), librevenge::RVNGFileStream::isStructured(), librevenge::RVNGFileStream::read(), librevenge::RVNGFileStream::RVNGFileStream(), librevenge::RVNGFileStream::seek(), librevenge::RVNGFileStream::tell(), and ~RVNGFileStreamPrivate().

## ◆ readBuffer

unsigned char* librevenge::RVNGFileStreamPrivate::readBuffer

Referenced by librevenge::RVNGFileStream::read(), librevenge::RVNGFileStream::seek(), and ~RVNGFileStreamPrivate().

## ◆ readBufferLength

unsigned long librevenge::RVNGFileStreamPrivate::readBufferLength

Referenced by librevenge::RVNGFileStream::read(), librevenge::RVNGFileStream::seek(), and librevenge::RVNGFileStream::tell().

## ◆ readBufferPos

unsigned long librevenge::RVNGFileStreamPrivate::readBufferPos

Referenced by librevenge::RVNGFileStream::read(), librevenge::RVNGFileStream::seek(), and librevenge::RVNGFileStream::tell().

## ◆ streamNameList

std::vector<std::string> librevenge::RVNGFileStreamPrivate::streamNameList

Referenced by librevenge::RVNGFileStream::existsSubStream(), librevenge::RVNGFileStream::isStructured(), librevenge::RVNGFileStream::subStreamCount(), and librevenge::RVNGFileStream::subStreamName().

## ◆ streamSize

unsigned long librevenge::RVNGFileStreamPrivate::streamSize

Referenced by librevenge::RVNGFileStream::isEnd(), librevenge::RVNGFileStream::read(), librevenge::RVNGFileStream::RVNGFileStream(), and librevenge::RVNGFileStream::seek().

## ◆ streamType

RVNGStreamType librevenge::RVNGFileStreamPrivate::streamType

Referenced by librevenge::RVNGFileStream::existsSubStream(), librevenge::RVNGFileStream::getSubStreamByName(), and librevenge::RVNGFileStream::isStructured().

The documentation for this class was generated from the following file:

- RVNGStreamImplementation.cpp